EntityArrays (Apache Commons Lang 3.17.0 API)
Description: declaration: package: org.apache.commons.lang3.text.translate, class: EntityArrays

Package org.apache.commons.lang3.text.translate

# Class EntityArrays

java.lang.Object
org.apache.commons.lang3.text.translate.EntityArrays

@Deprecated public class EntityArrays extends Object
Deprecated.
As of 3.6, use Apache Commons Text EntityArrays instead
Class holding various entity data for HTML and XML - generally for use with the LookupTranslator. All arrays are of length [*][2].

Since:
  3.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntityArrays()`
  Deprecated.
  Will be removed in 4.0.0.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String[][]`
  `APOS_ESCAPE()`
  Deprecated.
  Mapping to escape the apostrophe character to its XML character entity.
  `static String[][]`
  `APOS_UNESCAPE()`
  Deprecated.
  Reverse of `APOS_ESCAPE()` for unescaping purposes.
  `static String[][]`
  `BASIC_ESCAPE()`
  Deprecated.
  Mapping to escape the basic XML and HTML character entities.
  `static String[][]`
  `BASIC_UNESCAPE()`
  Deprecated.
  Reverse of `BASIC_ESCAPE()` for unescaping purposes.
  `static String[][]`
  `HTML40_EXTENDED_ESCAPE()`
  Deprecated.
  Mapping to escape additional character entity references.
  `static String[][]`
  `HTML40_EXTENDED_UNESCAPE()`
  Deprecated.
  Reverse of `HTML40_EXTENDED_ESCAPE()` for unescaping purposes.
  `static String[][]`
  `invert(String[][] array)`
  Deprecated.
  Used to invert an escape array into an unescape array
  `static String[][]`
  `ISO8859_1_ESCAPE()`
  Deprecated.
  Mapping to escape ISO-8859-1 characters to their named HTML 3.x equivalents.
  `static String[][]`
  `ISO8859_1_UNESCAPE()`
  Deprecated.
  Reverse of `ISO8859_1_ESCAPE()` for unescaping purposes.
  `static String[][]`
  `JAVA_CTRL_CHARS_ESCAPE()`
  Deprecated.
  Mapping to escape the Java control characters.
  `static String[][]`
  `JAVA_CTRL_CHARS_UNESCAPE()`
  Deprecated.
  Reverse of `JAVA_CTRL_CHARS_ESCAPE()` for unescaping purposes.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EntityArrays

    @Deprecated public EntityArrays()
    Deprecated.
    Will be removed in 4.0.0.
    Constructs a new instance.

- ## Method Details

  - ### APOS_ESCAPE

    public static String[][] APOS_ESCAPE()
    Deprecated.
    Mapping to escape the apostrophe character to its XML character entity.
    Returns:
      the mapping table

  - ### APOS_UNESCAPE

    public static String[][] APOS_UNESCAPE()
    Deprecated.
    Reverse of `APOS_ESCAPE()` for unescaping purposes.
    Returns:
      the mapping table

  - ### BASIC_ESCAPE

    public static String[][] BASIC_ESCAPE()
    Deprecated.
    Mapping to escape the basic XML and HTML character entities. Namely: `" & < >`
    Returns:
      the mapping table

  - ### BASIC_UNESCAPE

    public static String[][] BASIC_UNESCAPE()
    Deprecated.
    Reverse of `BASIC_ESCAPE()` for unescaping purposes.
    Returns:
      the mapping table

  - ### HTML40_EXTENDED_ESCAPE

    public static String[][] HTML40_EXTENDED_ESCAPE()
    Deprecated.
    Mapping to escape additional character entity references. Note that this must be used with `ISO8859_1_ESCAPE()` to get the full list of HTML 4.0 character entities.
    Returns:
      the mapping table

  - ### HTML40_EXTENDED_UNESCAPE

    public static String[][] HTML40_EXTENDED_UNESCAPE()
    Deprecated.
    Reverse of `HTML40_EXTENDED_ESCAPE()` for unescaping purposes.
    Returns:
      the mapping table

  - ### invert

    public static String[][] invert(String[][] array)
    Deprecated.
    Used to invert an escape array into an unescape array
    Parameters:
      `array` - String[][] to be inverted
    Returns:
      String[][] inverted array

  - ### ISO8859_1_ESCAPE

    public static String[][] ISO8859_1_ESCAPE()
    Deprecated.
    Mapping to escape ISO-8859-1 characters to their named HTML 3.x equivalents.
    Returns:
      the mapping table

  - ### ISO8859_1_UNESCAPE

    public static String[][] ISO8859_1_UNESCAPE()
    Deprecated.
    Reverse of `ISO8859_1_ESCAPE()` for unescaping purposes.
    Returns:
      the mapping table

  - ### JAVA_CTRL_CHARS_ESCAPE

    public static String[][] JAVA_CTRL_CHARS_ESCAPE()
    Deprecated.
    Mapping to escape the Java control characters. Namely: `\b \n \t \f \r`
    Returns:
      the mapping table

  - ### JAVA_CTRL_CHARS_UNESCAPE

    public static String[][] JAVA_CTRL_CHARS_UNESCAPE()
    Deprecated.
    Reverse of `JAVA_CTRL_CHARS_ESCAPE()` for unescaping purposes.
    Returns:
      the mapping table